import java.util.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public final class DevilWorldMidlet extends MIDlet {
  public Hero hero;
  public FieldCanvas field;
  private int eventcontinue;
  public static Image image;
  public static Image enemyimage;
  public static Random random;

  //RXgN^
  public DevilWorldMidlet() {
    try{
      image = Image.createImage("/dw.png");
      enemyimage = Image.createImage("/enemy.png");
    }catch(Exception e){
      image = Image.createImage(672,32);
      enemyimage = Image.createImage(1024,128);
    }
    random = new Random();
    init();
  }

  //Av̊Jn
  public void startApp() {
  }

  //Av̈ꎞ~
  public void pauseApp() {
  }

  //Av̏I
  public void destroyApp(boolean unconditional) {
  }
  
  public void init(){
    Display.getDisplay(this).setCurrent(new TitleCanvas(this));
  }
  
  public void start(){
    hero = new Hero();
    field = new FieldCanvas(this);
    field.jump("/Map1.txt", 25, 4);
    Display.getDisplay(this).setCurrent(field);
    eventcontinue = 0;
  }
  
  public void goField(){
    Display.getDisplay(this).setCurrent(field);
    if(eventcontinue > 0){
      int cont = eventcontinue;
      eventcontinue = 0;
      Event.exec(this, field, cont);
    }
  }
  
  public void escape(){
    eventcontinue = 0;
    goField();
  }
  
  public void goBattle(Enemy enemy){
    BattleCanvas battle = new BattleCanvas(this, hero);
    battle.startBattle(enemy);
    Display.getDisplay(this).setCurrent(battle);
  }

  public void goBattle(Enemy enemy, int cont){
    eventcontinue = cont;
    goBattle(enemy);
  }

  public void ending(){
    Display.getDisplay(this).setCurrent(new EndingCanvas(this));
  }
}
