import java.util.*;
import javax.microedition.lcdui.*;

public final class EndingCanvas extends Canvas implements CommandListener {
  private DevilWorldMidlet owner;
  private Timer timer;
  private int top;
  private boolean scroll;

  public EndingCanvas(DevilWorldMidlet owner) {
    this.owner = owner;
    top = getHeight();
    scroll = true;
    timer = new Timer();
    timer.schedule(new TimerTask(){
      public void run(){
        if(scroll){ top-=10; repaint(); }
      }
    }, 250, 250);
  }

  public void paint(Graphics g) {
    int dw = getWidth();
    int dh = getHeight();
    g.setColor(0,0,0);
    g.fillRect(0,0,dw,dh);

    int ox = dw/2;
    int fh = g.getFont().getHeight();
    int y = top;
    g.setColor(255,255,255);
    g.drawString("܂  قт", ox, y, g.HCENTER|g.BASELINE);
    y += dh/2;
    g.drawString("fin.", ox, y, g.HCENTER|g.BASELINE);
    y += dh/2;

    g.setColor(255,255,255);
    g.drawString("fr[h", ox+1, y+1, g.HCENTER|g.BASELINE);
    g.setColor(255,255,0);
    g.drawString("fr[h", ox, y, g.HCENTER|g.BASELINE);
    y += fh*3;

    g.setColor(0,255,255);
    g.drawString("F", ox, y, g.HCENTER|g.BASELINE);
    y += fh;
    g.setColor(255,255,255);
    g.drawString("PIshii", ox, y, g.HCENTER|g.BASELINE);
    y += fh*2;

    g.setColor(0,255,255);
    g.drawString("vOF", ox, y, g.HCENTER|g.BASELINE);
    y += fh;
    g.setColor(255,255,255);
    g.drawString("r.", ox, y, g.HCENTER|g.BASELINE);
    y += fh*2;

    g.setColor(0,255,255);
    g.drawString("OtBbNF", ox, y, g.HCENTER|g.BASELINE);
    y += fh;
    g.setColor(255,255,255);
    g.drawString("f-Ύ", ox, y, g.HCENTER|g.BASELINE);
    y += fh;
    g.drawString("PIshii", ox, y, g.HCENTER|g.BASELINE);
    y += fh*2;

    g.setColor(0,255,255);
    g.drawString("MIDPڐAF", ox, y, g.HCENTER|g.BASELINE);
    y += fh;
    g.setColor(255,255,255);
    g.drawString("r.", ox, y, g.HCENTER|g.BASELINE);
    y += fh*2;

    g.setColor(0,255,255);
    g.drawString("E傳F", ox, y, g.HCENTER|g.BASELINE);
    y += fh;
    g.setColor(255,255,255);
    g.drawString("p`qj", ox, y, g.HCENTER|g.BASELINE);
    y += fh*2;

    g.setColor(0,255,255);
    g.drawString("T|[gF", ox, y, g.HCENTER|g.BASELINE);
    y += fh;
    g.setColor(255,255,255);
    g.drawString("olo", ox, y, g.HCENTER|g.BASELINE);
    y += dh/2;

    g.setColor(255,255,255);
    g.drawString("@@", ox+1, y+1, g.HCENTER|g.BASELINE);
    g.setColor(255,255,0);
    g.drawString("@@", ox, y, g.HCENTER|g.BASELINE);

    if(y < dh/2){
      scroll = false;
    }
  }

  public void keyPressed(int keyCode) {
    int action=getGameAction(keyCode);
    if(action==FIRE && scroll==false){
      owner.notifyDestroyed();
    }
  }
  
  public void commandAction(Command c,Displayable s) {
  }
}
