public final class Hero{
  private int level;
  private int exp;
  private int maxhp;
  private int hp;
  private int ap;
  private int dp;
  private int weapon;
  private String weaponName1;
  private String weaponName2;
  
  public Hero(){
    level = 1;
    exp = 0;
    maxhp = 10;
    hp = 10;
    ap = 3;
    dp = 3;
    weapon = 0;
    weaponName1 = "";
    weaponName2 = "ڂ";

//    maxhp = 100;
//    hp = 100;
//    ap = 30;
//    dp = 30;
  }

  public int getLevel(){ return level; }
  public int getEXP(){ return exp; }
  public int getHP(){ return hp; }
  public int getAP(){ return ap + weapon; }
  public int getDP(){ return dp; }
  public String getWeaponName1(){ return weaponName1; }
  public String getWeaponName2(){ return weaponName2; }

  public boolean addExp(int e){
    boolean levelup = false;
    exp += e;
    while(exp >= level * level * 10){
      nextLevel();
      levelup = true;
    }
    return levelup;
  }
  
  public void nextLevel(){
    level++;
    maxhp += 10;
    hp = maxhp;
    ap += 3;
    dp += 3;
  }
  
  public void setWeapon(int w, String wn1, String wn2){
    weapon = w;
    weaponName1 = wn1;
    weaponName2 = wn2;
  }
  
  public void damage(int x){
    hp -= x;
  }
  
  public void sleep(){
    hp = maxhp;
  }
}
