import javax.microedition.lcdui.*;

public final class TitleCanvas extends Canvas implements CommandListener {
  private DevilWorldMidlet owner;

  public TitleCanvas(DevilWorldMidlet owner) {
    this.owner = owner;
    setCommandListener(this);
  }

  public void paint(Graphics g) {
    int dw = getWidth();
    int dh = getHeight();
    g.setColor(0,0,0);
    g.fillRect(0,0,dw,dh);

    int ox = dw/2;
    int oy = dh/2;
    int fh = g.getFont().getHeight();
    g.setColor(0,0,255);
    g.drawString("fr[h", ox+1, oy+1, g.HCENTER|g.BASELINE);
    g.setColor(255,255,255);
    g.drawString("fr[h", ox, oy, g.HCENTER|g.BASELINE);
    g.setColor(255,255,255);
    g.drawString("(c) 2001-2005 QuARK", ox, dh-fh, g.HCENTER|g.BASELINE);
  }

  public void keyPressed(int keyCode) {
    int action=getGameAction(keyCode);
    if(action==FIRE){
      owner.start();
    }
  }
  
  public void commandAction(Command c,Displayable s) {
  }
}
